package at.acdp.urweb;

import at.acdp.urweb.sclient.data.IJsonObject;
import com.eclipsesource.json.JsonObject;

public class RobotCommand implements IJsonObject {
    public String cmd;
    public int id;
    public String cpeeCallback;
    public String cpeeCallbackResult;
    public int cpeeCallbackCode;
    public String cpeeCallbackMessage;
    public String cpeeCallbackError;
    public String cpeeCallbackId;
    public String cpeeInstanceURL;
    public boolean doCpeeCallback;

    @Override
    public JsonObject toJSON() {
        return new JsonObject()
                .add("cmd", cmd)
                .add("id", id)
                .add("cpeeCallback", cpeeCallback)
                .add("cpeeCallbackResult", cpeeCallbackResult)
                .add("cpeeCallbackCode", cpeeCallbackCode)
                .add("cpeeCallbackMessage", cpeeCallbackMessage)
                .add("cpeeCallbackError", cpeeCallbackError)
                .add("cpeeCallbackId", cpeeCallbackId)
                .add("cpeeInstanceURL", cpeeInstanceURL)
                .add("doCpeeCallback", doCpeeCallback)
                ;
    }

    public RobotCommand(int id, String cmd) {
        this.cmd = cmd;
        this.id = id;
    }

    public RobotCommand(int id, String cmd, String cpeeCallback) {
        this.cmd = cmd;
        this.id = id;
        this.cpeeCallback = cpeeCallback;
    }

    public RobotCommand(String cmd) {
        this.cmd=cmd;
    }
}
