package at.acdp.urweb.sclient.data;

import at.acdp.urweb.CountDataInputStream;
import com.eclipsesource.json.JsonObject;

import java.io.DataInputStream;
import java.io.IOException;

//49 byte
public class JointData implements IRead, IJsonObject{
    double qActual;
    double qTarget;
    double qdActual;
    float lActual;
    double vActual;
    float tMotor;
    double tMicro;
    byte jointMode;

    //TODO: float/double propably wrong
    //total length 41 bytes
    public void read(CountDataInputStream di, int size) throws IOException {
        qActual=di.readDouble();
        qTarget=di.readDouble();
        qdActual=di.readDouble();
        lActual=di.readFloat();
        vActual=di.readFloat();
        tMotor=di.readFloat();
        tMicro=di.readFloat();
        jointMode=di.readByte();
    }

    @Override
    public JsonObject toJSON() {
        return new JsonObject()
                .add("qActual", qActual)
                .add("qTarget", qTarget)
                .add("qdActual", qdActual)
                .add("lActual", lActual)
                .add("vActual", vActual)
                .add("tMotor", tMotor)
                .add("tMicro", tMicro)
                .add("jointMode", jointMode);

    }
}
