package at.acdp.urweb.sclient.data;

import at.acdp.urweb.CountDataInputStream;
import com.eclipsesource.json.JsonObject;

import java.io.IOException;

public class RobotRuntimeException implements IJsonObject, IRead{
    public int lineNumber;
    public int columnNumber;
    public String message;

    @Override
    public JsonObject toJSON() {
        return new JsonObject()
                .add("lineNumber", lineNumber)
                .add("columnNumber", columnNumber)
                .add("message", message)
                ;
    }

    @Override
    public void read(CountDataInputStream di, int size) throws IOException {
        RobotRuntimeException re = new RobotRuntimeException();
        re.lineNumber=di.readInt();
        re.columnNumber=di.readInt();
        byte[] bmsg=new byte[size-15-8];
        di.readFully(bmsg);
        re.message=bmsg.toString();
    }
}
